% Project work 2007
% Comparison of control structures for maximizing throughput
% Simulation results

%% *********************
%III. Cascade control 
%% *********************
% measurement F2-F4 is the one activate here, to run other
% measurement uncoment those(pt 2 and 3)
% don't have to change plots configuration.
%1.F2-F4
%% *********************
 
load casF2_F4tauc=theta
F4casF2f4=F4;
Avgf2f4=sum(F4casF2f4)/size(F4casF2f4,1);
BackOfff2f4=max(F4casF2f4)-1
 
load casF2_F4tauc=3theta
F4casF2f4c=F4c;
Avgf2f4c=sum(F4casF2f4)/size(F4casF2f4,1);
BackOfff2f4c=max(F4casF2f4c)-1 % calculate the back off

%2.F3-F4
%% *********************
% load casF3_F4tauc=theta
% F4casf3f4=F4;
% Avgf3f4=sum(F4casf3f4)/size(F4casf3f4,1);
% BackOfff3f4=max(F4casf3f4)-1
% load casF3_F4tauc=3theta
% F4casf3f4c=F4c;
% Avgf3f4c=sum(F4casf3f4)/size(F4casf3f4,1);
% BackOfff3f4c=max(F4casf3f4c)-1 % calculate the back off
%3.F2-F3-F4
%% *********************
% load casF2_F3_F4tauc=theta
% F4casF2f3f4=F4;
% Avgf2f3f4=sum(F4casF2f3f4)/size(F4casF2f3f4,1);
% BackOfff2f3f4=max(F4casF2f3f4)-1
% 
% load casF2_F3_F4tauc=3theta
% F4casF2f3f4c=F4c;
% Avgf2f3f4c=sum(F4casF2f3f4c)/size(F4casF2f3f4c,1);
% BackOfff2f3f4c=max(F4casF2f3f4c)-1 % calculate the back off

%% ****************************
% Plots results
%% ****************************
figure(2)
plot(T,F0,Tc,F0c,':')
% axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Feed flow F0 [m^3/min]')
xlabel('Time [min]')
figure(3)
plot(T,F2,Tc,F2c,':')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Flow F2 [m^3/min]')
xlabel('Time [min]')

figure(4)
plot(T,L1,Tc,L1c,':')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Controlled level 1 [m^3]')
xlabel('Time [min]')

figure(5)
plot(T,L2,Tc,L2c,':')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Controlled level 2 [m^3]')
xlabel('Time [min]')

figure(6)
plot(T,F4,Tc,F4c,':')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Output flow F4 [m^3/min]')
xlabel('Time [min]')
