% Project work 2007
% Comparison of control structures for maximizing throughput
% Simulation results

% Simulink model with two units
% Four different control structures

%% ****************************
% I. single loop PI-controller
%% ****************************

load tauc=theta % load the data for "ModelSL_P"
load tauc=3theta % load the data for " ModelSL_c"
F4SL=F4;
F4SLc=F4c;
AvgF4SL=sum(F4SL)/size(F4SL,1);
BackOffF4SL=max(F4SL)-1 %calculate the back on F4 tauc=theta
AvgF4SLc=sum(F4SLc)/size(F4SLc,1);
BackOffF4SLc=max(F4SLc)-1 % calculate the back on F4 tauc=3theta

%plot results
figure(2)
plot(T,F0,Tc,F0c,'--')
% axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Feed flow F0 [m^3/min]')
xlabel('Time [min]')
figure(3)
plot(T,F2,Tc,F2c,'--')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Flow F2 [m^3/min]')
xlabel('Time [min]')
figure(4)
plot(T,L1,Tc,L1c,'--')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Controlled level 1 [m^3]')
xlabel('Time [min]')

figure(5)
plot(T,L2,Tc,L2c,'--')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Controlled level 2 [m^3]')
xlabel('Time [min]')
figure(6)
plot(T,F4,Tc,F4c,'--')
%axis([0 3500 -1.5 1.6])
legend('\tau_c=\theta','\tau_c=3.\theta')
ylabel('Output flow F4 [m^3/min]')
xlabel('Time [min]')
